Bug 587715 - [abrt] crash in gwibber-1:2.30.0.1-3.fc12: gwui.py:909:set_overlay_text:AttributeError: 'InputTextView' object has no attribute 'pango_overlay'
Summary: [abrt] crash in gwibber-1:2.30.0.1-3.fc12: gwui.py:909:set_overlay_text:Attri...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gwibber (Show other bugs)
(Show other bugs)
Version: 12
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2ccd233b
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-30 16:35 UTC by Jeremy
Modified: 2010-08-20 02:11 UTC (History)
11 users (show)

Fixed In Version: gwibber-2.31.4-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-20 01:56:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (676 bytes, text/plain)
2010-04-30 16:35 UTC, Jeremy
no flags Details

Description Jeremy 2010-04-30 16:35:32 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/gwibber
comment: I was just viewing updates
component: gwibber
executable: /usr/bin/gwibber
kernel: 2.6.32.11-99.fc12.x86_64
package: gwibber-1:2.30.0.1-3.fc12
reason: gwui.py:909:set_overlay_text:AttributeError: 'InputTextView' object has no attribute 'pango_overlay'
release: Fedora release 12 (Constantine)

backtrace
-----
gwui.py:909:set_overlay_text:AttributeError: 'InputTextView' object has no attribute 'pango_overlay'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gwibber/client.py", line 397, in on_input_changed
    self.input.textview.set_overlay_text(str(MAX_MESSAGE_LENGTH - cnt))
  File "/usr/lib/python2.6/site-packages/gwibber/gwui.py", line 909, in set_overlay_text
    self.pango_overlay.set_markup(self.overlay_text % (self.overlay_color, text))
AttributeError: 'InputTextView' object has no attribute 'pango_overlay'

Local variables in innermost frame:
text: '139'
self: <InputTextView object at 0x1679cd0 (gwibber+gwui+InputTextView at 0x1dc2070)>

Comment 1 Jeremy 2010-04-30 16:35:34 UTC
Created attachment 410539 [details]
File: backtrace

Comment 2 Fedora Update System 2010-05-07 16:34:01 UTC
gwibber-2.30.0.1-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gwibber-2.30.0.1-6.fc12

Comment 3 Fedora Update System 2010-05-07 16:35:35 UTC
gwibber-2.30.0.1-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gwibber-2.30.0.1-6.fc13

Comment 4 Fedora Update System 2010-05-10 17:10:27 UTC
gwibber-2.30.0.1-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.30.0.1-6.fc12

Comment 5 Fedora Update System 2010-05-10 23:47:17 UTC
gwibber-2.30.0.1-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Justin O'Brien 2010-06-17 16:50:57 UTC
Package: gwibber-1:2.30.0.1-6.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. opened gwibber
2.
3.

Comment 7 Mike McLean 2010-06-28 21:39:32 UTC
just saw this with gwibber-1:2.30.0.1-6.fc13 on x86_64.
The issue occurred when starting up the app. A second attempt to start it succeeded.

Comment 8 Terry Wallwork 2010-07-18 10:08:08 UTC
Package: gwibber-1:2.30.0.1-6.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Just launched Gwibber and got the crash

Comment 9 Fedora Update System 2010-07-26 19:22:50 UTC
gwibber-2.31.2-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc12

Comment 10 Fedora Update System 2010-07-26 19:27:52 UTC
gwibber-2.31.2-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc13

Comment 11 Fedora Update System 2010-07-27 02:24:04 UTC
gwibber-2.31.2-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc13

Comment 12 Fedora Update System 2010-07-27 02:31:53 UTC
gwibber-2.31.2-7.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc12

Comment 13 Ahmad Zulkarnain 2010-08-02 15:35:43 UTC
Package: gwibber-1:2.30.0.1-6.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. start gwibber
2. ABRT popup appears 
3.

Comment 14 Fedora Update System 2010-08-09 20:27:34 UTC
gwibber-2.31.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc12

Comment 15 Fedora Update System 2010-08-09 20:32:28 UTC
gwibber-2.31.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc13

Comment 16 Peter Green 2010-08-10 14:51:01 UTC
Package: gwibber-1:2.30.0.1-6.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Scrolled through my default timeline of tweets and facebook updates.
2. Clicked reply
3. Received crash report, although the app remained open.


Comment
-----
Tried to reply to someone's tweet.

Comment 17 Fedora Update System 2010-08-10 21:29:29 UTC
gwibber-2.31.4-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc12

Comment 18 Fedora Update System 2010-08-10 21:35:04 UTC
gwibber-2.31.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc13

Comment 19 Răzvan Sandu 2010-08-12 21:45:25 UTC
Package: gwibber-1:2.30.0.1-6.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Launched gwibber In Fedora 13

Comment 20 Fedora Update System 2010-08-20 01:52:03 UTC
gwibber-2.31.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2010-08-20 02:06:38 UTC
gwibber-2.31.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.